#
# spec file for package arm-trusted-firmware-pine64
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global debug_build 1
Name:           arm-trusted-firmware-pine64
Version:        1.0~20180402T232749~c9f55c02
Release:        1.3
Summary:        Firmware required to run the Pine64
Url:            https://github.com/apritzel/arm-trusted-firmware
License:        BSD-3-Clause
Group:          System/Boot
Source0:        arm-trusted-firmware-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  aarch64

%description
Firmware required to run the Pine64

%prep
%setup -q -n arm-trusted-firmware-%{version}

%build
export SOURCE_DATE_EPOCH=$(date -d "$(head -n 2 %{_sourcedir}/%{name}.changes | tail -n 1 | cut -d- -f1 )" +%s)
make BUILD_STRING=%{version} PLAT=sun50iw1p1 DEBUG=%{debug_build} bl31 %{?_smp_mflags}

%install
%if 0%{?debug_build}
%global dir debug
%else
%global dir release
%endif
install -D -m 0644 build/sun50iw1p1/%{dir}/bl31.bin %{buildroot}/boot/bl31.bin

%files
%doc license.md
%defattr(-,root,root)
/boot/bl31.bin

%changelog
* Tue Sep 11 2018 afaerber@suse.de
- Update to latest allwinner branch
* Thu Sep 21 2017 stefan.bruens@rwth-aachen.de
- Remove git BuildRequires, it is only used if BUILD_STRING is not set
* Wed May 24 2017 afaerber@suse.de
- Switch to latest apritzel/allwinner branch (aa75c8d)
* Tue Nov 15 2016 stefan.bruens@rwth-aachen.de
- Set SOURCE_DATE_EPOCH based on changelog head
- Add Url tag
* Mon Oct 10 2016 afaerber@suse.de
- Rename to arm-trusted-firmware-pine64
  * Build and package only bl31.bin
* Thu Sep 29 2016 fvogt@suse.com
- Update to 45ab97e on apritzel/arm-trusted-firmware
